## tboot 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tboot
 Title: Tilted Bootstrap
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(
   person(
     family = "Morris",
@@ -25,10 +25,10 @@
 BugReports: https://github.com/njm18/tboot/issues
 RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2020-07-27 17:43:23 UTC; c243080
+Packaged: 2020-11-30 14:28:59 UTC; c243080
 Author: Nathan Morris [aut, cre],
   William Michael Landau [ctb],
   Eli Lilly and Company [cph]
 Maintainer: Nathan Morris <morris_nathan@lilly.com>
 Repository: CRAN
-Date/Publication: 2020-08-01 11:10:02 UTC
+Date/Publication: 2020-12-02 16:40:02 UTC
