=== debian/changelog ===
tboot (1.6-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #815752)

 -- Gang Wei <gang.wei@intel.com>  Thu, 28 Jul 2011 18:27:53 +0800
