=== debian/changelog ===
tboot (1.7.0-0ubuntu1) precise; urgency=low

  [ Gang Wei ]
  * New upstream release (LP: #919040).
  * debian/patches/grub-helper.patch: Add grub-mkconfig helper
    scripts. 

  [ James Page ]
  * Refreshed/documented patches for new upstream release.
  * d/copyright: Updated with Copyright and License for grub-mkconfig
    helper scripts.
  * d/control: Bumped Standards-Version to 3.9.3.
  * d/tboot.[postinst|postrm]: Tweaked to include debhelper marker.

 -- Gang Wei <gang.wei@intel.com>  Fri, 24 Feb 2012 16:48:44 +0800
