=== debian/changelog ===
tboot (1.7.1-0ubuntu3) quantal; urgency=low

  * Cherry-pick a patch from upstream to fix build failure with new zlib.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 06 Oct 2012 14:47:42 +0400

tboot (1.7.1-0ubuntu2) quantal; urgency=low

  * Fix FTBFS, -Werror=format.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 20 Jun 2012 11:31:08 +1000

tboot (1.7.1-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 18 Jun 2012 15:32:40 -0400
