## tboot 1.7.3

=== debian/changelog ===
tboot (1.7.3-0ubuntu2) saucy; urgency=low

  * Update version number in the tboot grub-mkconfig helper scripts 
    (LP: #1144231)

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 08 Aug 2013 22:38:52 +0200

tboot (1.7.3-0ubuntu1) raring; urgency=low

  * Missed adding the version string update
    debian/patches/version-1-3.patch
    LP: #1100152
    Thanks to Gang Wei (gang-wei)
      https://bugs.launchpad.net/intel/+bug/1100152/comments/2

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Feb 2013 07:55:45 -0700

tboot (1.7.3-0ubuntu0) raring; urgency=low

  * Upstream release 1.7.3
    Dropped all patches except fix-werror-format.patch
    LP: #1100152

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 16 Jan 2013 05:45:44 -0700
