## tboot 1.7.4

=== debian/changelog ===
tboot (1.7.4-0ubuntu1) saucy; urgency=low

  * Update to 1.7.4
    Dropped patches/version-1-3.patch as it was no longer needed.
    -LP: #1228768

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 23 Sep 2013 09:29:57 -0600
