=== tb_polgen/Makefile ===
--- 
+++ 
@@ -62,4 +62,4 @@
 BUILD_DEPS := $(ROOTDIR)/Config.mk $(CURDIR)/Makefile
 
 %.o : %.c $(HDRS) $(BUILD_DEPS)
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC) $(CFLAGS) -DNO_TBOOT_LOGLVL -c $< -o $@
