=== utils/Makefile ===
--- 
+++ 
@@ -61,4 +61,4 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 
 %.o : %.c $(BUILD_DEPS)
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC) $(CFLAGS) -DNO_TBOOT_LOGLVL -c $< -o $@
