=== debian/changelog ===
tboot (1.8.0-0ubuntu1) trusty; urgency=low

  * Update to 1.8.0
    -LP: #1256151

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 07 Feb 2014 07:17:34 -0700
