=== tboot/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 obj-y += common/vga.o common/vmac.o common/vsprintf.o
 obj-y += txt/acmod.o txt/errors.o txt/heap.o txt/mtrrs.o txt/txt.o
 obj-y += txt/verify.o txt/vmcs.o
+obj-y += common/tpm_12.o common/tpm_20.o 
+obj-y += common/sha256.o
 
 OBJS := $(obj-y)
 
@@ -52,12 +54,14 @@
 build : $(TARGET).gz
 
 
-install : $(DISTIR)/boot/$(TARGET).gz
+install : $(DISTDIR)/boot/$(TARGET).gz
 
-$(DISTIR)/boot/$(TARGET).gz : $(TARGET).gz
+$(DISTDIR)/boot/$(TARGET).gz : $(TARGET).gz
 	[ -d $(DISTDIR)/boot ] || $(INSTALL_DIR) $(DISTDIR)/boot
 	$(INSTALL_DATA) $(TARGET).gz $(DISTDIR)/boot/$(notdir $(TARGET)).gz
 	$(INSTALL_DATA) $(TARGET)-syms $(DISTDIR)/boot/$(notdir $(TARGET))-syms
+	[ -d $(DISTDIR)/etc/grub.d ] || $(INSTALL_DIR) $(DISTDIR)/etc/grub.d
+	$(INSTALL) -m755 -t $(DISTDIR)/etc/grub.d 20*
 
 
 clean :
