=== debian/changelog ===
tboot (1.8.2~0ubuntu1) trusty; urgency=medium

  * Security Fix: TBOOT Argument Measurement Vulnerability for GRUB2 + ELF Kernels
    CVE-2014-5118 - seclists.org/oss-sec/2014/q3/260
    sourceforge.net/p/tboot/code/ci/0efdaf7c5348701484d24562e6e5323d85bb94d3/
  * fix werror in 32 bit build environment
    dropped debian/patches/fix-werror-format.patch, merged upstream
    -LP: #1350140
  * Added debian/patches/hg_archival.patch to satisfy packaging against
    upstream orig tarball using Debian Quilt 3.0

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Jul 2014 07:47:02 -0600

tboot (1.8.1-0ubuntu2) trusty; urgency=medium

  * Restore fix-werror-format.patch for i386 
  * Drop debian/patches/fix_grub-mkconfig_version.patch, merged upstream

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2014 10:59:07 -0600

tboot (1.8.1-0ubuntu1) trusty; urgency=medium

  * Update to 1.8.1
    -LP: #1327981

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2014 07:09:03 -0600
