## tboot 1.8.2

=== debian/changelog ===
tboot (1.8.2-0ubuntu1) utopic; urgency=medium

  * Security Fix: TBOOT Argument Measurement Vulnerability for GRUB2 + ELF Kernels
  * fix werror in 32 bit build environment
    -LP: #1350140

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Jul 2014 07:47:02 -0600

tboot (1.8.1-0ubuntu2) utopic; urgency=medium

  * Restore fix-werror-format.patch for i386 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2014 10:59:07 -0600

tboot (1.8.1-0ubuntu1) utopic; urgency=medium

  * Update to 1.8.1
    -LP: #1327981

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2014 07:09:03 -0600
