=== tboot/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 obj-y += common/policy.o common/printk.o common/rijndael.o common/sha1.o
 obj-y += common/strcmp.o common/strlen.o common/strncmp.o common/strncpy.o
 obj-y += common/strtoul.o common/tb_error.o common/tboot.o common/tpm.o
-obj-y += common/vga.o common/vmac.o common/vsprintf.o
+obj-y += common/vga.o common/vmac.o common/vsprintf.o common/lz.o
 obj-y += txt/acmod.o txt/errors.o txt/heap.o txt/mtrrs.o txt/txt.o
 obj-y += txt/verify.o txt/vmcs.o
 obj-y += common/tpm_12.o common/tpm_20.o
