=== debian/changelog ===
tboot (1.8.3-0ubuntu1) wily; urgency=medium

  * Update to 1.8.3
    http://sourceforge.net/projects/tboot/
    -LP: #1460918

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Aug 2015 08:53:38 -0600
