=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gang Wei <gang.wei@intel.com>
-Build-Depends: debhelper (>= 8), libtspi-dev, libssl-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), libtspi-dev, libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/tboot/
 
 Package: tboot
