## tboot 1.9.4

=== debian/changelog ===
tboot (1.9.4-0ubuntu1) yakkety; urgency=medium

  * Update to 1.9.4
    - LP: #1591805    

 -- Robert Hooker <sarvatt@ubuntu.com>  Thu, 08 Sep 2016 15:02:14 -0400
