## tboot 1.9.5

=== debian/changelog ===
tboot (1.9.5-0ubuntu1) zesty; urgency=medium

  * Update to 1.9.5 (LP:#1645532)
    - Adds support for 4.8 and newer kernels
    - Fixes TPM2 support added in 1.9.4

 -- Robert Hooker <sarvatt@ubuntu.com>  Thu, 16 Feb 2017 09:50:36 -0500
