=== debian/changelog ===
tboot (1.9.6-0ubuntu1) artful; urgency=medium

  * Update to 1.9.6 (LP:#1696029)
    - GCC7 fix, adds generic FALLTHROUGH notations to avoid warnings appearing on GCC7
    - Ensure Tboot never overwrites modules in the process of moving them.
    - Add support to x2APIC, which uses 32 bit APIC ID.
    - Fix S3 secrets sealing/unsealing failures
    - Support OpenSSL 1.1.0+ for ECDSA signature verification.
    - Support OpenSSL 1.1.0+ for RSA key manipulation.
    - Adds additional checks to prevent the kernel image from being overwritten.
    - Added TCG TPM event log support.
    - Pass through the EFI memory map that's provided by grub2.
    - Fix a null pointer dereference bug when Intel TXT is disabled in BIOS.
    - Adjust KERNEL_CMDLINE_OFFSET from 0x9000 to 0x8D00.
    - Bounds checking on the kernel_cmdline string.
  * Update Standards-Version to 4.0.0
  * Update debhelper to >= 9.0.0
  * Update debian/compat to 9

 -- Colin King <colin.king@canonical.com>  Wed, 13 Sep 2017 09:23:11 +0100
