## tboot 1.9.7

=== utils/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 include $(ROOTDIR)/Config.mk
 
-TARGETS := txt-stat acminfo parse_err
+TARGETS := txt-stat parse_err acminfo
 
 CFLAGS += -D_LARGEFILE64_SOURCE
 
@@ -54,11 +54,10 @@
 txt-stat : txt-stat.o
 	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 
-acminfo : acminfo.o
-	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
-
 parse_err : parse_err.o
 	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 
+acminfo : acminfo.o
+	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 %.o : %.c $(BUILD_DEPS)
 	$(CC) $(CFLAGS) -DNO_TBOOT_LOGLVL -c $< -o $@
