=== debian/changelog ===
tboot (1.9.7-0ubuntu2) focal; urgency=medium

  * d/p/gcc9-ftbfs.patch: Apply upstream patch to fix FTBFS with GCC 9.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 20 Apr 2020 22:15:09 -0400

tboot (1.9.7-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1731097
  * Fixes FTBFS
  * Add zlib1g-dev build-dep

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Sep 2018 17:37:24 +0100

tboot (1.9.6-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:37 +0000
