=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gang Wei <gang.wei@intel.com>
-Build-Depends: debhelper (>= 9.0.0), libtspi-dev, libssl-dev
+Build-Depends: debhelper (>= 9.0.0), libtspi-dev, libssl-dev, zlib1g-dev
 Standards-Version: 4.0.0
 Homepage: http://sourceforge.net/projects/tboot/
