## tboot 1.9.12+hg20200718

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include Config.mk
 
 # (txt-test is not included because it requires pathing to Linux src)
-SUBDIRS := tboot lcptools lcptools-v2 tb_polgen utils docs
+SUBDIRS := tboot safestringlib lcptools lcptools-v2 tb_polgen utils docs
 
 #
 # build rules
