=== tb_polgen/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 TARGET = tb_polgen
 
 # libraries
-LIBS += -lcrypto -lz
+LIBS += -lcrypto -lz $(ROOTDIR)/safestringlib/libsafestring.a
 
 
 #
