=== tboot/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # boot.o must be first
 obj-y := common/boot.o
-obj-y += common/acpi.o common/cmdline.o common/com.o common/e820.o
+obj-y += common/acpi.o common/cmdline.o common/com.o common/e820.o common/vtd.o
 obj-y += common/elf.o common/hash.o common/index.o common/integrity.o
 obj-y += common/linux.o common/loader.o common/memcmp.o common/memcpy.o
 obj-y += common/misc.o common/mutex.o common/paging.o common/pci_cfgreg.o
@@ -24,24 +24,25 @@
 obj-y += txt/acmod.o txt/errors.o txt/heap.o txt/mtrrs.o txt/txt.o
 obj-y += txt/verify.o txt/vmcs.o
 obj-y += common/tpm_12.o common/tpm_20.o 
-obj-y += common/sha256.o
+obj-y += common/sha256.o common/sha512.o common/sha384.o common/efi_memmap.o
 
 OBJS := $(obj-y)
 
 
 TARGET_LDS := $(CURDIR)/common/tboot.lds
 
-$(TARGET).gz : $(TARGET)
+$(TARGET).strip : $(TARGET)
+	strip $< -o $@
+
+$(TARGET).gz : $(TARGET).strip
 	gzip -n -f -9 < $< > $@
 
 $(TARGET) : $(OBJS) $(TARGET_LDS)
-	$(LD) $(LDFLAGS) -T $(TARGET_LDS) -N $(OBJS) -o $(@D)/.$(@F).0
-	$(NM) -n $(@D)/.$(@F).0 >$(TARGET)-syms
-	$(LD) $(LDFLAGS) -T $(TARGET_LDS) $(LDFLAGS_STRIP) $(@D)/.$(@F).0 -o $(TARGET)
-	rm -f $(@D)/.$(@F).0
+	$(LD) $(LDFLAGS) -T $(TARGET_LDS) -N $(OBJS) -o $@
+	$(NM) -n $@ >$(TARGET)-syms
 
 $(TARGET_LDS) : $(TARGET_LDS).x $(HDRS)
-	$(CPP) -P -E -Ui386 $(AFLAGS) -o $@ $<
+	$(CPP) -x c -P -E -Ui386 $(AFLAGS) -o $@ $<
 
 $(TARGET_LDS).x : FORCE
