=== debian/control ===
Source: tboot
Section: admin
Priority: optional
Maintainer: Timo Lindfors <timo.lindfors@iki.fi>
Build-Depends: debhelper (>= 11), libtspi-dev, zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/projects/tboot/
Vcs-Browser: https://salsa.debian.org/debian/tboot
Vcs-Git: https://salsa.debian.org/debian/tboot.git

Package: tboot
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: module for a measured and verified launch of an OS kernel/VMM
 Trusted Boot (tboot) is an open source, pre-kernel/VMM module that uses
 Intel(R) Trusted Execution Technology (Intel(R) TXT) to perform a measured
 and verified launch of an OS kernel/VMM.
