=== debian/watch ===
version=4
http://sf.net/tboot/ tboot-(.*)\.tar\.gz\.gpg debian uupdate
