=== debian/changelog ===
tboot (1.10.2+dfsg.0-1ubuntu1) jammy; urgency=medium

  * debian/patches/openssl3-compat.patch: cherry-pick commit 1d7d6d196bb1
    from upstream for compatibility with OpenSSL 3.  Closes: #1006588.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Mar 2022 21:18:37 +0000

tboot (1.10.2+dfsg.0-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:22:28 +0100

tboot (1.10.2+dfsg.0-1) unstable; urgency=medium

  * New upstream version (Closes: #984362)

 -- Timo Lindfors <timo.lindfors@iki.fi>  Sat, 03 Jul 2021 21:18:08 +0300
