=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tboot
 Section: admin
 Priority: optional
-Maintainer: Timo Lindfors <timo.lindfors@iki.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Lindfors <timo.lindfors@iki.fi>
 Build-Depends: debhelper (>= 11), libtspi-dev, zlib1g-dev
 Standards-Version: 4.5.0
 Homepage: https://sourceforge.net/projects/tboot/
