=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,pgpmode=self,repacksuffix=+dfsg.0,repack" \
 http://sf.net/tboot/ \
 tboot-(.*)\.tar\.gz\.gpg \
 debian uupdate
