## tboot 1.10.5

=== tboot/Makefile ===
--- 
+++ 
@@ -17,14 +17,16 @@
 obj-y += common/elf.o common/hash.o common/index.o common/integrity.o
 obj-y += common/linux.o common/loader.o common/memcmp.o common/memcpy.o
 obj-y += common/misc.o common/mutex.o common/paging.o common/pci_cfgreg.o
-obj-y += common/policy.o common/printk.o common/rijndael.o common/sha1.o
+obj-y += common/policy.o common/printk.o common/sha1.o
 obj-y += common/strcmp.o common/strlen.o common/strncmp.o common/strncpy.o
 obj-y += common/strtoul.o common/tb_error.o common/tboot.o common/tpm.o
-obj-y += common/vga.o common/vmac.o common/vsprintf.o common/lz.o
+obj-y += common/vga.o common/vsprintf.o common/lz.o common/memlog.o
 obj-y += txt/acmod.o txt/errors.o txt/heap.o txt/mtrrs.o txt/txt.o
 obj-y += txt/verify.o txt/vmcs.o
 obj-y += common/tpm_12.o common/tpm_20.o 
 obj-y += common/sha256.o common/sha512.o common/sha384.o common/efi_memmap.o
+obj-y += common/poly1305/poly1305.o common/poly1305/poly1305-x86.o
+obj-y += common/poly1305/x86cpuid.o
 
 OBJS := $(obj-y)
 
@@ -66,7 +68,7 @@
 
 
 clean :
-	rm -f $(TARGET)* $(TARGET_LDS) *~ include/*~ include/txt/*~ *.o common/*~ txt/*~ common/*.o txt/*.o
+	rm -f $(TARGET)* $(TARGET_LDS) *~ include/*~ include/txt/*~ *.o common/*~ txt/*~ common/*.o txt/*.o common/poly1305/*.o
 	rm -f tags TAGS cscope.files cscope.in.out cscope.out cscope.po.out
 
 
@@ -139,3 +141,6 @@
 # -std=gnu{89,99} gets confused by # as an end-of-line comment marker
 %.s : %.S $(HDRS)  $(BUILD_DEPS)
 	$(CPP) $(AFLAGS) $< -o $@
+
+%.S : %.pl $(HDRS) $(BUILD_DEPS)
+	/usr/bin/perl $< "elf" $(AFLAGS) $@
