=== debian/changelog ===
tboot (1.10.5-4) unstable; urgency=medium

  * Rename /etc/default/tboot as /etc/default/grub-tboot.
  * Add autopkgtest for /boot/*SINIT* handling.

 -- Timo Lindfors <timo.lindfors@iki.fi>  Wed, 29 Jun 2022 16:08:00 +0300

tboot (1.10.5-3) unstable; urgency=medium

  * Source-only upload.
  * Add autopkgtest for lcp2_mlehash.

 -- Timo Lindfors <timo.lindfors@iki.fi>  Wed, 22 Jun 2022 11:29:13 +0300

tboot (1.10.5-2) unstable; urgency=medium

  * Backport upstream patches:
    - upstream_changeset_658.patch
    - upstream_changeset_662.patch
    - upstream_changeset_661.patch
    - upstream_changeset_660.patch
    - upstream_changeset_659.patch
  * Include proposed patches:
    - proposed_patch_cppflags.patch
    - proposed_patch_time.patch
  * Ship /etc/default/tboot that tries to workaround the situation
    where grub loads an SINIT ACM module to an address that overlaps
    with tboot's data structures that are in hardcoded addresses.
  * Drop support for i386.
  * Add autopkgtest tests.

 -- Timo Lindfors <timo.lindfors@iki.fi>  Tue, 21 Jun 2022 19:03:20 +0300

tboot (1.10.5-1) unstable; urgency=medium

  * New upstream version (Closes: #1006588)

 -- Timo Lindfors <timo.lindfors@iki.fi>  Wed, 09 Mar 2022 16:35:55 +0200
