=== debian/tests/control ===
Test-Command: [ $(/usr/sbin/lcp2_mlehash --create --cmdline foo --alg sha1 /boot/tboot.gz | wc --words) -eq 20 ]
Features: test-name=mlehash-sha1
Restrictions: superficial

Test-Command: [ $(/usr/sbin/lcp2_mlehash --create --cmdline foo --alg sha256 /boot/tboot.gz | wc --words) -eq 32 ]
Features: test-name=mlehash-sha256
Restrictions: superficial

Tests: sinit-in-grub-configuration
Depends: @, grub-efi-amd64 | grub-pc, linux-image-amd64
Restrictions: needs-root, isolation-machine, superficial, skippable, flaky

Test-Command: debian/tests/reboot --on-unsupported-hardware
Restrictions: breaks-testbed, needs-root, isolation-machine, needs-reboot
Features: test-name=reboot-with-unsupported-hardware

Test-Command: debian/tests/reboot --tpm 1 --boot bios
Depends: @, tpm-tools
Restrictions: breaks-testbed, needs-root, isolation-machine, needs-reboot, skippable, flaky
Features: test-name=reboot-with-tpm1-bios

Test-Command: debian/tests/reboot --tpm 2 --boot efi
Depends: @, tpm2-tools
Restrictions: breaks-testbed, needs-root, isolation-machine, needs-reboot, skippable, flaky
Features: test-name=reboot-with-tpm2-efi

Test-Command: /bin/true
Depends: grub-efi-amd64 [amd64], grub-pc [amd64], linux-image-amd64 [amd64]
Restrictions: hint-testsuite-triggers
